Name:           python-random2
Version:        1.0.1
Release:    1%{?dist}
Summary:        Python 2 compatible random module

License:        Python-2.0.1
URL:            http://pypi.python.org/pypi/random2
Source0:        %{pypi_source random2 %version zip}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist tox}
BuildRequires:  %{py3_dist tox-current-env}
BuildRequires:  %{py3_dist wheel}

%global common_desc %{expand:
This package provides a Python 3 ported version of Python 2.7's random
module.

In Python 3, the implementation of randrange() was changed, so that even
with the same seed you get different sequences in Python 2 and 3.  Note
that several high-level functions such as randint() and choice() use
randrange().

In my testing code I heavily rely on stable random generator results and
it makes porting code to Python 3 a lot harder, if all those tests have
to be adjusted.  This package fixes that.}

%description %{common_desc}

%package -n python%{python3_pkgversion}-random2
Summary:        Python 2 compatible random module for Python 3

%description -n python%{python3_pkgversion}-random2 %{common_desc}

%prep
%autosetup -n random2-%{version}

sed -i '/self\.gen\.getrandbits, 0/d' src/tests.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files random2

%check
%tox

%files -n python%{python3_pkgversion}-random2 -f %{pyproject_files}
%doc CHANGES.txt README.txt

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
